# Upload creative file

| HTTP method | Endpoint                             |
| ----------- | ------------------------------------ |
| **POST**    | **/v1/offers/{offer\_id}/creatives** |

## Path parameters <a href="#path-parameters-2" id="path-parameters-2"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

***Note:10 creative files can be uploaded in maximum, and more than 1 creative file can be upload at one time. Creative files support formats include zip, jpeg, jpg, png, gif; A single file cannot exceed 20M, and the image pixel must between 50 to 3200 in both length and width.***

## Request body parameters <a href="#request-body-parameters-0" id="request-body-parameters-0"></a>

| Field | Type | Description      | Nullable |
| ----- | ---- | ---------------- | -------- |
| file  | file | Upload the file. | No       |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field     | Type    | Description                                                   |
| --------- | ------- | ------------------------------------------------------------- |
| id        | integer | A string that uniquely identifies this creative.              |
| offer\_id | integer | A string that uniquely identifies this offer.                 |
| url       | string  | The url of the creative preview.                              |
| mime      | string  | content-type.                                                 |
| size      | integer | The size of the file in bytes.                                |
| width     | integer | The width of the image.                                       |
| height    | integer | The height of the image.                                      |
| filename  | string  | The name of the file that was uploaded, optionally passed in. |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/offers/23/creatives>

**Request POST** <http://{networkname}.api.offerslook.com/v1/offers/23/creatives>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
{
      "code": 0,
      "message": "Success",
      "data": {
        "offer_creative": [
          {
            "id": 89,
            "offer_id": 23,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/about_8bbbabbde8fb45c8a3963418a67845cd.png",
            "mime": "image/png",
            "size": 116985,
            "width": null,
            "height": null,
            "filename": "about.png"
          },
          {
            "id": 90,
            "offer_id": 23,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/test_18bd09fecb0e41e181a1789e8dba60d5.jpg",
            "mime": "image/jpeg",
            "size": 29726,
            "width": null,
            "height": null,
            "filename": "test.jpg"
          },
          {
            "id": 91,
            "offer_id": 23,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/safe_b47bab84a44d482381e7c907fb3d9990.jpg",
            "mime": "image/jpeg",
            "size": 27150,
            "width": null,
            "height": null,
            "filename": "safe.jpg"
          }
        ]
      }
    }
```
